Removed CVS stuff.
authorAndrew DeFaria <adefaria@axcient.com>
Wed, 4 Dec 2013 22:48:50 +0000 (14:48 -0800)
committerAndrew DeFaria <adefaria@axcient.com>
Wed, 4 Dec 2013 22:48:50 +0000 (14:48 -0800)
Added sourcing of git
Added error info if unable to set background in setbg.

bin/setbg
rc/bash_login

index e3f5a46..39ce45b 100755 (executable)
--- a/bin/setbg
+++ b/bin/setbg
@@ -98,7 +98,7 @@ foreach (@imgDir) {
 } # foreach
 
 # Using gsettings
-my $setbg      = "gsettings";
+my $setbg          = "gsettings";
 my $setbgOpts  = "set org.gnome.desktop.background picture-uri \"file://";
 
 my @images;
@@ -133,8 +133,14 @@ while () {
 
   my $cmd = "$setbg $setbgOpts$image\" 2> /dev/null";
 
-  `$cmd`;
+  my @output = `$cmd`;
 
+  if ($? != 0) {
+    display "ERROR Trying to set background - command used \"$cmd\"", $log;
+    display "Output:";
+    display join "\n", @output, $log;
+  } # if
+  
   close $log;
   
   sleep $sleep;
index 0008953..ff64550 100644 (file)
@@ -100,8 +100,6 @@ if [ -r /etc/bash_completion -a $ARCHITECTURE != "cygwin" ]; then
   source /etc/bash_completion
 fi
 
-export CVSROOT=:ext:andrew@clearscm.com:/var/cvs/cvsroot
-
 if [ -x ~/.rc/logout ]; then
   trap "~/.rc/logout" 0
 fi